Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.gui.editor
Class ProperNameForm

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.ContentPane
              ch.uzh.ifi.attempto.acewiki.gui.editor.FormPane
                  ch.uzh.ifi.attempto.acewiki.gui.editor.ProperNameForm

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, nextapp.echo2.app.event.ActionListener, nextapp.echo2.app.Pane, nextapp.echo2.app.PaneContainer, nextapp.echo2.app.RenderIdSupport

    public class ProperNameForm

extends FormPane

This class represents a form to create or modify proper names.

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.ContentPane
`PROPERTY_BACKGROUND_IMAGE, PROPERTY_HORIZONTAL_SCROLL, PROPERTY_INSETS, PROPERTY_VERTICAL_SCROLL`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`ProperNameForm(Individual ind, WindowPane window, Wiki wiki, nextapp.echo2.app.event.ActionListener actionListener)` Creates a new proper name form.

Method Summary
`static WordEditorWindow` | `createCreatorWindow(Wiki wiki, nextapp.echo2.app.event.ActionListener actionListener)` Creates a new creator window for proper names.
`static WordEditorWindow` | `createEditorWindow(Individual ind, Wiki wiki)` Creates a new editor window for proper names.
`protected void` | `save()` This method should try to save the word with the current properties and should show error messages if this is not successful.
`java.lang.String` | `toString()`

Methods inherited from class ch.uzh.ifi.attempto.acewiki.gui.editor.FormPane
`actionPerformed, addRow, finished, finished, getWiki, isValidString, normalize, setIconRow, showErrorMessage`

Methods inherited from class nextapp.echo2.app.ContentPane
`getBackgroundImage, getHorizontalScroll, getInsets, getVerticalScroll, isValidChild, isValidParent, processInput, setBackgroundImage, setHorizontalScroll, setInsets, setVerticalScroll`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isVisible, remove, remove, removeAll, removePropertyChangeListener, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setRenderId, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProperNameForm

    public ProperNameForm(Individual ind,
                          WindowPane window,
                          Wiki wiki,
                          nextapp.echo2.app.event.ActionListener actionListener)

  Creates a new proper name form.

  Parameters:
    `ind` - The individual that is represented by the proper name.
    `window` - The host window of the form.
    `wiki` - The wiki instance.
    `actionListener` - The actionlistener.

Method Detail

### createCreatorWindow

    public static WordEditorWindow createCreatorWindow(Wiki wiki,
                                                       nextapp.echo2.app.event.ActionListener actionListener)

  Creates a new creator window for proper names.

  Parameters:
    `wiki` - The wiki instance.
    `actionListener` - The actionlistener.
  Returns:
    The new creator window.

### createEditorWindow

    public static WordEditorWindow createEditorWindow(Individual ind,
                                                      Wiki wiki)

  Creates a new editor window for proper names.

  Parameters:
    `ind` - The individual that is represented by the proper name that should be edited.
    `wiki` - The wiki instance.
  Returns:
    The new editor window.

### save

    protected void save()

  Description copied from class: `FormPane`
  This method should try to save the word with the current properties and should show error messages if this is not successful. In the case of success, one of the finished-methods has to be called.

  Specified by:
    `save` in class `FormPane`
  See Also:
    `FormPane.finished(OntologyElement)`, `FormPane.finished(OntologyElement, int)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)